import { renderTemplate } from './';
import { runFixtureTests } from '../test/fixtures';
runFixtureTests(fixture => () => {
    const onExpressionCalls = [];
    const rendered = renderTemplate(fixture.template, {
        expressionEvaluator(expression) {
            onExpressionCalls.push(expression);
            if (fixture.expressionEvaluator) {
                return fixture.expressionEvaluator(expression);
            }
            return expression;
        },
    });
    expect(onExpressionCalls).toEqual(fixture.expressionCalls);
    expect(rendered).toEqual(fixture.renderResult);
});
