import { MuttonCompiledNodeType, } from './types';
export function renderCompiledTemplateSync(compiled, options) {
    const { expressionEvaluator } = options;
    let renderedTemplate = '';
    compiled.nodes.forEach(node => {
        if (node.type === MuttonCompiledNodeType.LITERAL) {
            renderedTemplate += node.literal;
        }
        else {
            const expressionNode = node;
            const evaluated = expressionEvaluator(expressionNode.expression);
            if (compiled.nodes.length === 1) {
                renderedTemplate = evaluated;
            }
            else {
                renderedTemplate += evaluated;
            }
        }
    });
    return renderedTemplate;
}
export async function renderCompiledTemplateAsync(compiled, options) {
    const { expressionEvaluator } = options;
    let renderedTemplate = '';
    for (const node of compiled.nodes) {
        if (node.type === MuttonCompiledNodeType.LITERAL) {
            renderedTemplate += node.literal;
        }
        else {
            const expressionNode = node;
            const evaluated = await expressionEvaluator(expressionNode.expression);
            if (compiled.nodes.length === 1) {
                renderedTemplate = evaluated;
            }
            else {
                renderedTemplate += evaluated;
            }
        }
    }
    return renderedTemplate;
}
