import { MuttonCompiledTemplate } from './types';
export interface MuttonRenderOptions {
    /**
     * Function that is called for every variable that found in the template
     *
     * e.g. Given the template `{{hello}} {{world}}`, `expressionEvaluator` would
     * be called twice. The first time with `hello` and the second time with `world`.
     */
    expressionEvaluator: (expression: string) => any;
}
export interface MuttonRenderAsyncOptions {
    /**
     * Async function that is called for every variable that found in the template
     *
     * e.g. Given the template `{{hello}} {{world}}`, `expressionEvaluator` would
     * be called twice. The first time with `hello` and the second time with `world`.
     */
    expressionEvaluator: (expression: string) => Promise<any>;
}
export declare function renderCompiledTemplateSync(compiled: MuttonCompiledTemplate, options: MuttonRenderOptions): string;
export declare function renderCompiledTemplateAsync(compiled: MuttonCompiledTemplate, options: MuttonRenderAsyncOptions): Promise<string>;
